%global commit 420c3ec8e805018bffecef36c1a9ada1efa9d557
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:            apt-mirror
Version:         0.5.1
Release:         1.git%{shortcommit}%{?dist}
Summary:         APT sources mirroring tool

Group:           Development/Tools
License:         GPLv2+
URL:             http://apt-mirror.github.io/
Source0:         https://github.com/apt-mirror/apt-mirror/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:         Debian-mirror.list
Source2:         clean.sh
Patch0:          %{name}.patch
BuildArch:       noarch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:        wget


%description
A small and efficient tool that lets you mirror a part of or
the whole Debian GNU/Linux distribution or any other apt sources.

%prep
%setup -qn %{name}-%{commit}
%patch0 -p1 -b .mirror


%build


%install
rm -rf %{buildroot}

mkdir -p \
      %{buildroot}/var/spool/%{name}/var

mkdir -p \
      %{buildroot}/var/spool/%{name}/skel

mkdir -p \
      %{buildroot}/var/spool/%{name}/mirror

install -Dpm 755 %{name} \
        %{buildroot}%{_sbindir}/%{name}

install -Dpm 644 %{SOURCE1} \
        %{buildroot}%{_sysconfdir}/%{name}.list

mkdir -p %{buildroot}%{_mandir}/man1/
      pod2man %{name} | gzip -9 -c > %{name}.1.gz
      install -p -m 0644 %{name}.1.gz \
      %{buildroot}%{_mandir}/man1/%{name}.1.gz

install -Dpm 755 %{SOURCE2} \
        %{buildroot}/var/spool/%{name}/var/clean.sh


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%config (noreplace) %{_sysconfdir}/%{name}.list
/var/spool/%{name}/


%changelog
* Mon Aug 04 2014 Major Hayden <major@mhtx.net> - 0.5.1-1.git420c3ec
- New upstream version 0.5.1

* Sat Jul 27 2013 Major Hayden <major@mhtx.net> - 0.4.9-1.gitde8906b
- Switched package source to new official GitHub repository
- Updated patch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 28 2008 Simon Wesp <cassmodiah@fedoraproject.org> 0.4.5-3
- Correct License #464308 Comment 1 and add a comment below License-Tag

* Sun Sep 28 2008 Simon Wesp <cassmodiah@fedoraproject.org> 0.4.5-2
- Correct spec - Bug #464308 Comment 1
- Add Dummyfile to use clean.sh

* Sat Sep 27 2008 Simon Wesp <cassmodiah@fedoraproject.org> 0.4.5-1
- Initial Release
